<?php
use CRM_Utmtracking_ExtensionUtil as E;

return [
  [
    'name' => 'SavedSearch_UTM_Tracking_Records_Searchkit',
    'entity' => 'SavedSearch',
    'cleanup' => 'unused',
    'update' => 'unmodified',
    'params' => [
      'version' => 4,
      'values' => [
        'name' => 'UTM_Tracking_Records_Searchkit',
        'label' => E::ts('UTM Tracking Records - Searchkit'),
        'api_entity' => 'Utmtracking',
        'api_params' => [
          'version' => 4,
          'select' => [
            'id',
            'date_added',
            'utm_campaign',
            'utm_medium',
            'utm_source',
            'activity_id',
            'activity_id.subject',
            'contribution_id',
            'contribution_id.total_amount',
            'participant_id',
            'participant_id.event_id.title',
            'membership_id',
            'contribution_recur_id',
          ],
          'orderBy' => [],
          'where' => [],
          'groupBy' => [],
          'join' => [],
          'having' => [],
        ],
      ],
      'match' => ['name'],
    ],
  ],
  [
    'name' => 'SavedSearch_UTM_Tracking_Records_Searchkit_SearchDisplay_UTM_Tracking_Records_Table',
    'entity' => 'SearchDisplay',
    'cleanup' => 'unused',
    'update' => 'unmodified',
    'params' => [
      'version' => 4,
      'values' => [
        'name' => 'UTM_Tracking_Records_Table',
        'label' => E::ts('UTM Tracking Records - Table'),
        'saved_search_id.name' => 'UTM_Tracking_Records_Searchkit',
        'type' => 'table',
        'settings' => [
          'description' => E::ts(''),
          'sort' => [
            ['date_added', 'DESC'],
          ],
          'limit' => 50,
          'pager' => [],
          'placeholder' => 5,
          'columns' => [
            [
              'type' => 'field',
              'key' => 'id',
              'dataType' => 'Integer',
              'label' => E::ts('ID'),
              'sortable' => TRUE,
            ],
            [
              'type' => 'field',
              'key' => 'date_added',
              'dataType' => 'Timestamp',
              'label' => E::ts('Date Added'),
              'sortable' => TRUE,
            ],
            [
              'type' => 'field',
              'key' => 'utm_campaign',
              'dataType' => 'String',
              'label' => E::ts('UTM Campaign'),
              'sortable' => TRUE,
            ],
            [
              'type' => 'field',
              'key' => 'utm_medium',
              'dataType' => 'String',
              'label' => E::ts('UTM Medium'),
              'sortable' => TRUE,
            ],
            [
              'type' => 'field',
              'key' => 'utm_source',
              'dataType' => 'String',
              'label' => E::ts('UTM Source'),
              'sortable' => TRUE,
            ],
            [
              'type' => 'field',
              'key' => 'activity_id',
              'dataType' => 'Integer',
              'label' => E::ts('Activity ID'),
              'sortable' => TRUE,
            ],
            [
              'type' => 'field',
              'key' => 'activity_id.subject',
              'dataType' => 'String',
              'label' => E::ts('Activity Subject'),
              'sortable' => TRUE,
            ],
            [
              'type' => 'field',
              'key' => 'contribution_id',
              'dataType' => 'Integer',
              'label' => E::ts('Contribution ID'),
              'sortable' => TRUE,
            ],
            [
              'type' => 'field',
              'key' => 'contribution_id.total_amount',
              'dataType' => 'Money',
              'label' => E::ts('Contrribution Total Amount'),
              'sortable' => TRUE,
            ],
            [
              'type' => 'field',
              'key' => 'participant_id',
              'dataType' => 'Integer',
              'label' => E::ts('Participant ID'),
              'sortable' => TRUE,
            ],
            [
              'type' => 'field',
              'key' => 'participant_id.event_id.title',
              'dataType' => 'String',
              'label' => E::ts('Event Title'),
              'sortable' => TRUE,
            ],
            [
              'type' => 'field',
              'key' => 'membership_id',
              'dataType' => 'Integer',
              'label' => E::ts('Membership ID'),
              'sortable' => TRUE,
            ],
            [
              'type' => 'field',
              'key' => 'contribution_recur_id',
              'dataType' => 'Integer',
              'label' => E::ts('Contribution Recur ID'),
              'sortable' => TRUE,
            ],
          ],
          'actions' => TRUE,
          'classes' => ['table', 'table-striped'],
          'actions_display_mode' => 'menu',
        ],
      ],
      'match' => [
        'saved_search_id',
        'name',
      ],
    ],
  ],
];
